Connect an AI assistant
Your AI assistant can read this documentation directly, so it answers from the current content instead of guessing. Add one of the servers below to your client — they use the Model Context Protocol (MCP). Each one covers a different body of content, so add the one you need.
The catalog did not load. Refresh the page to try again.
Loading…
{{server.name}}
{{server.summary}}
{{server.documentCount.toLocaleString()}} pages Not published to this site
- Name
-
{{server.name}} - URL
-
{{mcpServerUrl(server.path)}}
| Tool | What it does |
|---|---|
{{tool.name}} |
{{part.text}}{{part.text}} |
How can we help?
Searching in {{docApp.searchFilterBySpecificBookTitle}}
Searching for:
{{docApp.searchResultFilteredItems.length}} results for:
{{docApp.currentResultsSearchText}}
in {{docApp.searchFilterBySpecificBookTitle}}
Found {{docApp.searchResponse.totalResultsAvailable}} matches. Showing the top {{docApp.searchResponse.results ? docApp.searchResponse.results.length : 0}}. Use a more specific search to further narrow down the results.
No documentation pages match this search, so all content types are shown.
Most matches are in {{docApp.searchDocTypeRescue.best.name}}.
There is no book with the ID "{{docApp.searchBookRescue.bid}}", so the book filter from this link was ignored and results from all books are shown.
You have an odd number of " characters in your search terms - each one needs closing with a matching " character!
-
{{resultItem.title}} {{resultItem.matchedBy === 'semantic' ? 'semantic' : (resultItem.matchedBy === 'both' ? 'keyword + semantic' : 'keyword')}}
{{resultItem.url}}
{{docApp.libraryHomeViewProduct.title || docApp.libraryHomeViewProduct.id}}
{{docApp.libraryHomeViewProduct.description}}
{{group.title || group.id}}
{{group.description}}
Entity API / createBoard
- Article
- 3 minutes to read
Operation Information
- Application Reference:
com.hornbill.boardmanager - Scope:
Entity - Board - Class:
Entity - Required Privilege Level:
none - Required Rights: Group A - canCreate
Description
Create a board and set its activitystream
Request Parameters
The createBoard API takes the following input parameters.
Note
When sending a JSON request payload to the API, the order of parameters is not significant. However, for XML request payloads, parameters must be provided in the exact order specified in this documentation to comply with input validation requirements.
| Name | Type | Required | Description |
|---|---|---|---|
name |
xs:string |
Yes | Name of the board |
description |
xs:string |
No | The description of the board |
application |
xs:string |
No | Application that the board belongs too |
urn |
xs:string |
No | URN to filter the board by |
allowedType |
xs:string |
No | Comma seperated list of allowed types (if none then all types allowed) |
bpm |
xs:string |
No | BPM Name for this Board |
lane |
xs:string |
No | The name of the default lane |
config |
xs:string |
No | JSON containing extra config for the board |
Response Parameters
| Name | Type | Description |
|---|---|---|
h_id |
xs:string |
Id of the board created |
h_owner |
xs:string |
Owner of the board |
h_name |
xs:string |
Name of board |
h_description |
xs:string |
board description |
h_application |
xs:string |
Application board belongs too |
h_urn |
xs:string |
urn to attach board too |
h_allowed_types |
xs:string |
allowed types on the board |
h_activitystream_id |
xs:string |
Id of the associated activitystream |
Code Examples
curl -X POST 'https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Board' \
-H 'Authorization: ESP-APIKEY yourHornbillAPIKey' \
-H 'Content-Type: application/json' \
-d '{"@service":"apps/com.hornbill.boardmanager/Board","@method":"createBoard","params":{"name":"xs:string","description":"xs:string","application":"xs:string","urn":"xs:string","allowedType":"xs:string","bpm":"xs:string","lane":"xs:string","config":"xs:string"}}'
package main
import (
"fmt"
apiLib "github.com/hornbill/goApiLib"
)
func main() {
hornbillAPI := apiLib.NewXmlmcInstance("yourinstanceid")
hornbillAPI.SetAPIKey("yourHornbillAPIKey")
hornbillAPI.SetJSONResponse(true)
hornbillAPI.SetParam("name", "xs:string")
hornbillAPI.SetParam("description", "xs:string")
hornbillAPI.SetParam("application", "xs:string")
hornbillAPI.SetParam("urn", "xs:string")
hornbillAPI.SetParam("allowedType", "xs:string")
hornbillAPI.SetParam("bpm", "xs:string")
hornbillAPI.SetParam("lane", "xs:string")
hornbillAPI.SetParam("config", "xs:string")
responseBody, apiError := hornbillAPI.Invoke("apps/com.hornbill.boardmanager/Board", "createBoard")
if apiError != nil {
fmt.Println(apiError)
return
}
fmt.Println(responseBody)
}
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Board";
const payload = {
"@service": "apps/com.hornbill.boardmanager/Board",
"@method": "createBoard",
"params": {
"name": "xs:string",
"description": "xs:string",
"application": "xs:string",
"urn": "xs:string",
"allowedType": "xs:string",
"bpm": "xs:string",
"lane": "xs:string",
"config": "xs:string"
}
};
fetch(endpoint, {
method: 'POST',
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
},
body: JSON.stringify(payload)
}).then(res => res.json())
.then(res => console.log(res));
const axios = require('axios');
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Board";
const payload = {
"@service": "apps/com.hornbill.boardmanager/Board",
"@method": "createBoard",
"params": {
"name": "xs:string",
"description": "xs:string",
"application": "xs:string",
"urn": "xs:string",
"allowedType": "xs:string",
"bpm": "xs:string",
"lane": "xs:string",
"config": "xs:string"
}
};
const axiosConfig = {
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
};
axios.post(endpoint, payload, axiosConfig)
.then((res) => {
console.log("RESPONSE RECEIVED: ", res);
})
.catch((err) => {
console.log("AXIOS ERROR: ", err);
})
$endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Board";
$payload = (object) [
'@service' => 'apps/com.hornbill.boardmanager/Board',
'@method' => 'createBoard',
'params' => (object) [
'name' => 'xs:string',
'description' => 'xs:string',
'application' => 'xs:string',
'urn' => 'xs:string',
'allowedType' => 'xs:string',
'bpm' => 'xs:string',
'lane' => 'xs:string',
'config' => 'xs:string',
]
];
$headers = [
'Authorization: ESP-APIKEY yourHornbillAPIKey',
'Content-Type: application/json'
];
$curl = curl_init($url);
curl_setopt($curl, CURLOPT_URL, $endpoint);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
$resp = curl_exec($curl);
curl_close($curl);
echo $resp;
$Endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Board"
$Body = @{
"@service" = "apps/com.hornbill.boardmanager/Board"
"@method" = "createBoard"
params = @{
name = "xs:string"
description = "xs:string"
application = "xs:string"
urn = "xs:string"
allowedType = "xs:string"
bpm = "xs:string"
lane = "xs:string"
config = "xs:string"
}
}
$Header = @{
"Authorization" = "ESP-APIKEY yourHornbillAPIKey"
}
$Parameters = @{
Method = "POST"
Uri = $Endpoint
Headers = $Header
Body = ($Body | ConvertTo-Json)
ContentType = "application/json"
}
Invoke-RestMethod @Parameters
import requests
import json
endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager/Board"
headers = {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
payload={
"@service":"apps/com.hornbill.boardmanager/Board",
"@method":"createBoard",
"params":{
"name":"xs:string",
"description":"xs:string",
"application":"xs:string",
"urn":"xs:string",
"allowedType":"xs:string",
"bpm":"xs:string",
"lane":"xs:string",
"config":"xs:string",
},
}
response = requests.request("POST", endpoint, json=payload, headers=headers)
print(response.text)
- Version {{docApp.book.version}}
- Node {{docApp.node}} / {{docApp.build}}